Skip to main content
PUT
/
v3
/
profiles
/
{profile}
/
appointments
/
{appointment}
Update Profile Appointment
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/appointments/{appointment} \
  --header 'Content-Type: application/json' \
  --data '
{
  "appointment_definition_id": 123,
  "profile_id": "<string>",
  "location_id": 123,
  "assigned_staff_id": "<string>",
  "scheduled_start_at": "<string>",
  "scheduled_end_at": "<string>",
  "timezone": "<string>",
  "confirmed_at": "<string>",
  "notes": "<string>",
  "meta": [
    "<string>"
  ],
  "transaction": {
    "id": 123,
    "external_id": "<string>",
    "receipt_ref": "<string>"
  },
  "order": {
    "id": 123,
    "external_id": "<string>",
    "receipt_ref": "<string>",
    "order_number": "<string>"
  }
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/appointments/{appointment}"

payload = {
"appointment_definition_id": 123,
"profile_id": "<string>",
"location_id": 123,
"assigned_staff_id": "<string>",
"scheduled_start_at": "<string>",
"scheduled_end_at": "<string>",
"timezone": "<string>",
"confirmed_at": "<string>",
"notes": "<string>",
"meta": ["<string>"],
"transaction": {
"id": 123,
"external_id": "<string>",
"receipt_ref": "<string>"
},
"order": {
"id": 123,
"external_id": "<string>",
"receipt_ref": "<string>",
"order_number": "<string>"
}
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appointment_definition_id: 123,
profile_id: '<string>',
location_id: 123,
assigned_staff_id: '<string>',
scheduled_start_at: '<string>',
scheduled_end_at: '<string>',
timezone: '<string>',
confirmed_at: '<string>',
notes: '<string>',
meta: ['<string>'],
transaction: {id: 123, external_id: '<string>', receipt_ref: '<string>'},
order: {
id: 123,
external_id: '<string>',
receipt_ref: '<string>',
order_number: '<string>'
}
})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/appointments/{appointment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "appointment_definition_id": 123,
    "appointment_definition": {
      "id": 123,
      "handle": "<string>",
      "name": "<string>",
      "description": "<string>",
      "short_description": "<string>",
      "long_description": "<string>",
      "icon": "<string>",
      "image_url": "<string>",
      "terms_conditions": "<string>",
      "internal_notes": "<string>",
      "visibility_condition": [
        "<unknown>"
      ],
      "is_published": true,
      "is_archived": true,
      "duration_minutes": 123,
      "buffer_before_minutes": 123,
      "buffer_after_minutes": 123,
      "min_lead_minutes": 123,
      "max_advance_days": 123,
      "slot_interval_minutes": 123,
      "booking_type": "<string>",
      "allow_customer_booking": true,
      "allow_walk_in": true,
      "requires_staff": true,
      "customer_must_select_staff": true,
      "use_staff_from_location": true,
      "max_concurrent_bookings": 123,
      "allow_waitlist": true,
      "allow_queue": true,
      "meta": [
        "<unknown>"
      ],
      "created_target_id": 123,
      "confirmed_target_id": 123,
      "cancelled_target_id": 123,
      "rejected_target_id": 123,
      "reminder_target_id": 123,
      "notify_created_offset_days": 123,
      "notify_created_offset_hours": 123,
      "notify_confirmed_offset_days": 123,
      "notify_confirmed_offset_hours": 123,
      "notify_cancelled_offset_days": 123,
      "notify_cancelled_offset_hours": 123,
      "notify_rejected_offset_days": 123,
      "notify_rejected_offset_hours": 123,
      "notify_reminder_offset_days": 123,
      "notify_reminder_offset_hours": 123,
      "has_booking_questionnaire": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "normal_hours": [
        {
          "id": 123,
          "appointment_definition_id": 123,
          "day_of_week": "<string>",
          "available_from": "<string>",
          "available_until": "<string>",
          "is_closed": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>"
        }
      ],
      "special_hours": [
        {
          "id": 123,
          "appointment_definition_id": 123,
          "name": "<string>",
          "is_repeating": true,
          "available_from": "<string>",
          "available_until": "<string>",
          "start_at": "<string>",
          "end_at": "<string>",
          "is_closed": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>"
        }
      ],
      "locations": [
        "<unknown>"
      ],
      "staff": [
        {
          "id": 123,
          "appointment_definition_id": 123,
          "staff_id": "<string>",
          "is_active": true,
          "staff": {
            "id": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "mobile_phone": "<string>",
            "normal_hours": [
              {
                "id": "<string>",
                "day_of_week": "<string>",
                "available_from": "<string>",
                "available_until": "<string>",
                "is_closed": "<string>"
              }
            ],
            "special_hours": [
              {
                "id": "<string>",
                "name": "<string>",
                "is_repeating": "<string>",
                "available_from": "<string>",
                "available_until": "<string>",
                "start_at": "<string>",
                "end_at": "<string>"
              }
            ]
          },
          "created_at": "<string>",
          "updated_at": "<string>"
        }
      ],
      "booking_questionnaire": {
        "id": "<string>",
        "name": "<string>",
        "purpose": "<string>",
        "is_active": "<string>",
        "pages": "<string>"
      }
    },
    "profile_id": "<string>",
    "profile": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "location_id": 123,
    "location": {
      "id": 123,
      "name": "<string>",
      "handle": "<string>",
      "timezone": "<string>"
    },
    "assigned_staff_id": "<string>",
    "assigned_staff": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "status": "<string>",
    "scheduled_start_at": "<string>",
    "scheduled_end_at": "<string>",
    "timezone": "<string>",
    "approved_at": "<string>",
    "confirmed_at": "<string>",
    "cancelled_at": "<string>",
    "arrived_at": "<string>",
    "completed_at": "<string>",
    "no_show_at": "<string>",
    "rejected_at": "<string>",
    "approved_by": "<string>",
    "cancelled_by": "<string>",
    "rejected_by": "<string>",
    "transaction_id": 123,
    "order_id": 123,
    "notes": "<string>",
    "meta": [
      "<unknown>"
    ],
    "created_at": "<string>",
    "updated_at": "<string>",
    "transaction": {
      "id": 123,
      "external_id": "<string>",
      "receipt_ref": "<string>",
      "total": 123,
      "status": "<string>"
    },
    "order": {
      "id": 123,
      "external_id": "<string>",
      "receipt_ref": "<string>",
      "order_number": "<string>",
      "total": 123,
      "status": "<string>"
    },
    "answers": [
      {
        "id": 123,
        "questionnaire_id": 123,
        "questionnaire_question_id": 123,
        "question_id": 123,
        "question_version_id": 123,
        "profile_id": "<string>",
        "answerable_type": "<string>",
        "answerable_id": "<string>",
        "mapping_key": "<string>",
        "link_type": "<string>",
        "link_target": "<string>",
        "link_write_policy": "<string>",
        "question_label": "<string>",
        "question_type": "<string>",
        "question_required": true,
        "answer_type": "<string>",
        "value": true,
        "mappable_type": "<string>",
        "mappable_id": "<string>",
        "mapped_field": "<string>",
        "mapping_status": "<string>",
        "mapping_error": "<string>",
        "mapped_at": "<string>",
        "meta": [
          "<unknown>"
        ],
        "created_at": "<string>",
        "updated_at": "<string>",
        "question_handle": "<string>"
      }
    ],
    "links": [
      {
        "id": "<string>",
        "type": "<string>",
        "target_id": "<string>",
        "profile": {
          "id": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>"
        },
        "linkable": {
          "id": "<string>",
          "name": "<string>",
          "handle": "<string>",
          "profile_id": "<string>"
        }
      }
    ]
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

profile
string<uuid>
required

The profile ID

appointment
integer
required

The appointment ID

Body

application/json
appointment_definition_id
integer
profile_id
string
location_id
integer
assigned_staff_id
string | null
status
enum<string>
Available options:
requested,
confirmed,
cancelled,
arrived,
completed,
no_show,
rejected
scheduled_start_at
string
scheduled_end_at
string
timezone
string
confirmed_at
string | null
notes
string | null
meta
string[] | null
transaction
object
order
object

Response

Appointment

data
Appointment · object
required